Subject: RE: Native American businesses?
From: "Rhonda Ames" <[email-masked]>
To: "'Mike'" <[email-masked]>
Date: Fri, 15 Jul 2011 09:55:25 -0400

Mike,

I have started the research; however, it's not going to be a quick.  I will
let you know what I find out as soon as possible.

Rhonda

From: Mike [mailto:[email-masked]] 
Sent: Wednesday, July 13, 2011 1:21 PM
To: Rhonda Ames
Subject: Native American businesses?

Rhonda,

I wanted to follow up with you to find out if you had any information
pertaining to the labor laws and Native American businesses.  Let me know if
there are any exceptions and/or exclusions or if state/federal labor laws
pertain to everyone regardless.  Much appreciated.

Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]